PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package terminals
  Definition Classes
    serverobject
-  object Terminal
  Definition Classes
    terminals
- BuyEquipment
- BuyExosuit
- BuyVehicle
- Exchange
- InfantryLoadout
- LearnCertification
- LearnImplant
- NoDeal
- Request
- SellCertification
- SellEquipment
- SellImplant
- StartProximityEffect
- StopProximityEffect
- TerminalMessage
- VehicleLoadout

c

net.psforever.objects.serverobject.terminals.Terminal

# StartProximityEffect

###

#### final case class StartProximityEffect(terminal: Terminal with ProximityUnit) extends Exchange with Product with Serializable

Start the special effects caused by a proximity-base service.

terminal

  the proximity-based unit

Source
  Terminal.scala

Linear Supertypes
Serializable, Product, Equals, Exchange, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. StartProximityEffect
2. Serializable
3. Product
4. Equals
5. Exchange
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new StartProximityEffect(terminal: Terminal with ProximityUnit)

   terminal

     the proximity-based unit

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
8.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
9.  final def isInstanceOf[T0]: Boolean
   Definition Classes
     Any
10.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
12.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
13.  def productElementNames: Iterator[String]
    Definition Classes
      Product
14.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
15.  val terminal: Terminal with ProximityUnit
16.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
17.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Exchange

### Inherited from AnyRef

### Inherited from Any

### Ungrouped